Bug 87697 - START CENTER: Indication that you are in recent files or templates view
Summary: START CENTER: Indication that you are in recent files or templates view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: high enhancement
Assignee: Akshay Deep
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2014-12-25 09:05 UTC by Yousuf Philips (jay)
Modified: 2016-10-25 18:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-25 09:05:58 UTC
Now that templates have been integrated into the start center, a user can click between templates and recent files view, but there is no visual indication that a user is in these two view. So i'd like to suggest that the recent files and templates buttons be shown in their pressed position when active, to easy indicate which view you are in. Another alternative is to have a heading at the top of the view stating which view you are in.
Comment 1 Adolfo Jayme 2014-12-26 01:18:47 UTC
I’d prefer the first option: having the button rendered in its “pressed” state when the corresponding view is active. Adding more labels for translation is troublesome at this point and it would take additional space.
Comment 2 V Stuart Foote 2015-08-01 13:00:16 UTC
> ...the recent files and templates buttons be shown in their pressed position when active

Yes also think this might be preferred indicator.

But do we show state for any of the StartCenter launcher buttons? Actually yes we do, a mouse click selection of Open File, or for 5.1.0 the Open Remote File will move the cursor focus to that button on the Start Center button list.

As alternative to showing depressed button, would focus travel be enough?
Comment 3 Yousuf Philips (jay) 2015-08-01 15:38:47 UTC
(In reply to V Stuart Foote from comment #2)
> But do we show state for any of the StartCenter launcher buttons? Actually
> yes we do, a mouse click selection of Open File, or for 5.1.0 the Open
> Remote File will move the cursor focus to that button on the Start Center
> button list.

The cursor focus is there but the button doesnt remain in its pressed position.

> As alternative to showing depressed button, would focus travel be enough?

Dont think so.

(In reply to Adolfo Jayme from comment #1)
> Adding more labels for
> translation is troublesome at this point and it would take additional space.

The labels are already translated once, so duplicating its translation shouldnt be a problem.
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:23:53 UTC
Migrating Whiteboard tags to Keywords: (needsDevEval, topicUI)
[NinjaEdit]
Comment 5 Commit Notification 2016-06-23 07:10:36 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=596065ff05165f5b59cfcfdcee09166931455e19

GSoC tdf#87697 START CENTER: Indicate selected thumbnailview

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.